# Contributing

Subscribe to [this mailing list](https://lists.sr.ht/~earnestma/nwt-announce/) for announcements and new release notes.

## Support

- Matrix space: [#earne:envs.net](https://matrix.to/#/#earne:envs.net)
- Mailing list: https://lists.sr.ht/~earnestma/nwt-devel

## Issues

Discuss on the above spaces and open a [ticket here](https://todo.sr.ht/~earnestma/nwt).

## Patches

Patches for docs only should be done against [nwt-docs](https://git.sr.ht/~earnestma/nwt-docs). Otherwise, if you adding a new feature or documentation, modify `docs/` in the main repo at the same time.

If you need more help sending patches, you may take a look at [this guide](https://git-send-email.io/).

- Clone the repository and move into that directory
- Set `git config format.subjectPrefix "PATCH repo-name"` correctly
- Make your change(s), test if needed, and commit it
- Use `git send-email` to send it to `~earnestma/nwt-devel@lists.sr.ht`! Feel free to send multiple commits in order and with a cover letter if needed.
